﻿using Syncfusion.XForms.DataForm;
using Syncfusion.XForms.DataForm.Editors;
using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;

namespace DataForm_Editor
{

    public class AddressInfo
    {
        private String nome;
        private String sobrenome;
        private DateTime? nascimento;
        private Sexo sexo;
        private String estadoCivil;
        private String docIdentificacao;
        private String docIdEmissao;
        private String docIdEmitidoPor;
        private String endereco;
        private String bairro;
        private String cidade;
        private String uf;
        private String codPostal;
        private String pais;
        private String telefone;
        private String email;
        private String naturalidade;
        private String naturalidadeUf;
        private String naturalidadePais;
        private String nacionalidade;
        private String filiacaoPai;
        private String filiacaoMae;
        private String profissao;

        private AscendentePortugues ascendentePortugues;
        private Relacionamento relacionamentoPortugues;
        private String freguesia;
        private String concelho;
        private String paisPortugues;
        private DateTime? dataCasamento;
        private DateTime? dataNascimentoPortugues;
        private String localCasamento;
        private String numeroAssento;
        private String anoAssento;
        private bool crc;
        private bool manterNome;
        private String novoNome;
        private String novoApelido;
        private bool ligacaoEfetiva;
        private bool condenado;
        private bool funcoesPublicas;
        private bool servicoMilitar;
        private String conjugeNome;

        private String r1Nome;
        private String r1Endereco;
        private String r1Cidade;
        private String r1Uf;
        private String r1Pais;
        private String r1CodPostal;
        private String r1Telefone;
        private String r1Qualidade;
        private String r1Email;
        private String r2Nome;
        private String r2Endereco;
        private String r2Cidade;
        private String r2Uf;
        private String r2Pais;
        private String r2CodPostal;
        private String r2Telefone;
        private String r2Qualidade;
        private String r2Email;

        [Display(GroupName = "Interessado", Name = "Nome (nome próprio)")]
        public String Nome {
            get { return this.nome; }
            set {
                this.nome = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "Sobrenomes (apelidos)")]
        public String Sobrenome {
            get { return this.sobrenome; }
            set {
                this.sobrenome = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "Data de Nascimento")]
        public DateTime? Nascimento {
            get { return this.nascimento; }
            set {
                this.nascimento = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "Sexo")]
        public Sexo Sexo {
            get { return this.sexo; }
            set {
                this.sexo = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "Estado Civil")]
        public String EstadoCivil {
            get { return this.estadoCivil; }
            set {
                this.estadoCivil = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "Documento de Identificação")]
        public String DocIdentificacao {
            get { return this.docIdentificacao; }
            set {
                this.docIdentificacao = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "Data Emissão Documento de Identificação")]
        public String DocIdEmissao {
            get { return this.docIdEmissao; }
            set {
                this.docIdEmissao = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "Documento de Identificação Emitido Por")]
        public String DocIdEmitidoPor {
            get { return this.docIdEmitidoPor; }
            set {
                this.docIdEmitidoPor = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "Endereço")]
        public String Endereco {
            get { return this.endereco; }
            set {
                this.endereco = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "Bairro")]
        public String Bairro {
            get { return this.bairro; }
            set {
                this.bairro = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "Cidade")]
        public String Cidade {
            get { return this.cidade; }
            set {
                this.cidade = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "Unidade Federativa")]
        public String UF {
            get { return this.uf; }
            set {
                this.uf = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "Código Postal (CEP)")]
        public String CodPostal {
            get { return this.codPostal; }
            set {
                this.codPostal = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "País")]
        public String Pais {
            get { return this.pais; }
            set {
                this.pais = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "Telefone")]
        public String Telefone {
            get { return this.telefone; }
            set {
                this.telefone = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "email")]
        public String Email {
            get { return this.email; }
            set {
                this.email = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "Naturalidade")]
        public String Naturalidade {
            get { return this.naturalidade; }
            set {
                this.naturalidade = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "UF da Naturalidade")]
        public String NaturalidadeUf {
            get { return this.naturalidadeUf; }
            set {
                this.naturalidadeUf = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "País da Naturalidade")]
        public String NaturalidadePais {
            get { return this.naturalidadePais; }
            set {
                this.naturalidadePais = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "Nacionalidade")]
        public String Nacionalidade {
            get { return this.nacionalidade; }
            set {
                this.nacionalidade = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "Filiação (pai)")]
        public String FiliacaoPai {
            get { return this.filiacaoPai; }
            set {
                this.filiacaoPai = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "Filiação (mãe)")]
        public String FiliacaoMae {
            get { return this.filiacaoMae; }
            set {
                this.filiacaoMae = value;
            }
        }

        [Display(GroupName = "Interessado", Name = "Profissão")]
        public String Profissao {
            get { return this.profissao; }
            set {
                this.profissao = value;
            }
        }

        [Display(GroupName = "Declarações", Name = "Ascendente Português")]
        public AscendentePortugues AscendentePortugues {
            get { return this.ascendentePortugues; }
            set {
                this.ascendentePortugues = value;
            }
        }

        [Display(GroupName = "Declarações", Name = "Tipo de Relacionamento com o Português")]
        public Relacionamento Relacionamento {
            get { return this.relacionamentoPortugues; }
            set {
                this.relacionamentoPortugues = value;
            }
        }

        [Display(GroupName = "Declarações", Name = "Freguesia")]
        public String Freguesia {
            get { return this.freguesia; }
            set {
                this.freguesia = value;
            }
        }

        [Display(GroupName = "Declarações", Name = "Concelho")]
        public String Concelho {
            get { return this.concelho; }
            set {
                this.concelho = value;
            }
        }

        [Display(GroupName = "Declarações", Name = "País Nascimento Português")]
        public String PaisPortugues {
            get { return this.paisPortugues; }
            set {
                this.paisPortugues = value;
            }
        }

        [Display(GroupName = "Declarações", Name = "Data de Nascimento do Português")]
        public DateTime? NascimentoPortugues {
            get { return this.dataNascimentoPortugues; }
            set {
                this.dataNascimentoPortugues = value;
            }
        }

        [Display(GroupName = "Declarações", Name = "Número do Assento de Nascimento")]
        public String NumeroAssento {
            get { return this.numeroAssento; }
            set {
                this.numeroAssento = value;
            }
        }

        [Display(GroupName = "Declarações", Name = "Ano do Assento de Nascimento")]
        public String AnoAssento {
            get { return this.anoAssento; }
            set {
                this.anoAssento = value;
            }
        }

        [Display(GroupName = "Declarações", Name = "Registro na CRC")]
        public bool CRC {
            get { return this.crc; }
            set {
                this.crc = value;
            }
        }

        [Display(GroupName = "Declarações", Name = "Data do Casamento/União")]
        public DateTime? DataCasamento {
            get { return this.dataCasamento; }
            set {
                this.dataCasamento = value;
            }
        }

        [Display(GroupName = "Declarações", Name = "Local do Casamento/União")]
        public String LocalCasamento {
            get { return this.localCasamento; }
            set {
                this.localCasamento = value;
            }
        }

        [Display(GroupName = "Declarações", Name = "Manter Nome")]
        public bool ManterNome {
            get { return this.manterNome; }
            set {
                this.manterNome = value;
            }
        }

        [Display(GroupName = "Declarações", Name = "Novo Nome")]
        public String NovoNome {
            get { return this.novoNome; }
            set {
                this.novoNome = value;
            }
        }

        [Display(GroupName = "Declarações", Name = "Novo Apelidos (sobrenomes)")]
        public String NovoApelidos {
            get { return this.novoApelido; }
            set {
                this.novoApelido = value;
            }
        }

        [Display(GroupName = "Declarações", Name = "Tem ligação efetiva à comunidade portuguesa?")]
        public bool LigacaoEfetiva {
            get { return this.ligacaoEfetiva; }
            set {
                this.ligacaoEfetiva = value;
            }
        }

        [Display(GroupName = "Declarações", Name = "Foi condenado pela prática de crime punível com pena de prisão igual ou superior a 3 anos?")]
        public bool Condenado {
            get { return this.condenado; }
            set {
                this.condenado = value;
            }
        }

        [Display(GroupName = "Declarações", Name = "Exerceu funções públicas sem caráter predominantemente técnico a Estado estrangeiro?")]
        public bool FuncoesPublicas {
            get { return this.funcoesPublicas; }
            set {
                this.funcoesPublicas = value;
            }
        }

        [Display(GroupName = "Declarações", Name = "Prestou serviço militar não obrigatório a Estado estrangeiro?")]
        public bool ServicoMilitar {
            get { return this.servicoMilitar; }
            set {
                this.servicoMilitar = value;
            }
        }

        [Display(GroupName = "Declarações", Name = "Nome do Conjuge")]
        public String ConjugeNome {
            get { return this.conjugeNome; }
            set {
                this.conjugeNome = value;
            }
        }

        [Display(GroupName = "Representantes", Name = "Nome")]
        public String R1Nome {
            get { return this.r1Nome; }
            set {
                this.r1Nome = value;
            }
        }

        [Display(GroupName = "Representantes", Name = "Endereço")]
        public String R1Endereco {
            get { return this.r1Endereco; }
            set {
                this.r1Endereco = value;
            }
        }

        [Display(GroupName = "Representantes", Name = "Cidade")]
        public String R1Cidade {
            get { return this.r1Cidade; }
            set {
                this.r1Cidade = value;
            }
        }

        [Display(GroupName = "Representantes", Name = "UF")]
        public String R1UF {
            get { return this.r1Uf; }
            set {
                this.r1Uf = value;
            }
        }
        [Display(GroupName = "Representantes", Name = "País")]
        public String R1Pais {
            get { return this.r1Pais; }
            set {
                this.r1Pais = value;
            }
        }
        [Display(GroupName = "Representantes", Name = "Código Postal (CEP)")]
        public String R1CodPostal {
            get { return this.r1CodPostal; }
            set {
                this.r1CodPostal = value;
            }
        }
        [Display(GroupName = "Representantes", Name = "Telefone")]
        public String R1Telefone {
            get { return this.r1Telefone; }
            set {
                this.r1Telefone = value;
            }
        }
        [Display(GroupName = "Representantes", Name = "Qualidade")]
        public String R1Qualidade {
            get { return this.r1Qualidade; }
            set {
                this.r1Qualidade = value;
            }
        }
        [Display(GroupName = "Representantes", Name = "Email")]
        public String R1Email {
            get { return this.r1Email; }
            set {
                this.r1Email = value;
            }
        }

        [Display(GroupName = "Representantes", Name = "Nome")]
        public String R2Nome {
            get { return this.r2Nome; }
            set {
                this.r2Nome = value;
            }
        }

        [Display(GroupName = "Representantes", Name = "Endereço")]
        public String R2Endereco {
            get { return this.r2Endereco; }
            set {
                this.r2Endereco = value;
            }
        }

        [Display(GroupName = "Representantes", Name = "Cidade")]
        public String R2Cidade {
            get { return this.r2Cidade; }
            set {
                this.r2Cidade = value;
            }
        }

        [Display(GroupName = "Representantes", Name = "UF")]
        public String R2UF {
            get { return this.r2Uf; }
            set {
                this.r2Uf = value;
            }
        }
        [Display(GroupName = "Representantes", Name = "País")]
        public String R2Pais {
            get { return this.r2Pais; }
            set {
                this.r2Pais = value;
            }
        }
        [Display(GroupName = "Representantes", Name = "Código Postal (CEP)")]
        public String R2CodPostal {
            get { return this.r2CodPostal; }
            set {
                this.r2CodPostal = value;
            }
        }
        [Display(GroupName = "Representantes", Name = "Telefone")]
        public String R2Telefone {
            get { return this.r2Telefone; }
            set {
                this.r2Telefone = value;
            }
        }
        [Display(GroupName = "Representantes", Name = "Qualidade")]
        public String R2Qualidade {
            get { return this.r2Qualidade; }
            set {
                this.r2Qualidade = value;
            }
        }
        [Display(GroupName = "Representantes", Name = "Email")]
        public String R2Email {
            get { return this.r2Email; }
            set {
                this.r2Email = value;
            }
        }
    }
}
